/*
 * $Id$
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * $Log$
 * Revision 1.4  2006/10/04 03:14:53  marbobo
 * + Vollständige Unterstützung für Templates implementiert
 * + Alles von Virtoweb auf ProCoBa umgestellt
 *
 * Revision 1.3  2006/09/13 09:32:46  lawern
 * allgemeine Überarbeitung
 *
 * Revision 1.2  2006/09/08 11:36:46  korowa
 * Funktionen zum Zugriff und Setzen des Empfängers der ProjectMessage
 *
 * Revision 1.1  2006/09/01 11:06:11  korowa
 * *** empty log message ***
 *
 * 
 *
 */
package vkc.external;

import java.util.Date;

import vkc.procoba.project.entities.VKCProjectMessage;

/**
 * Diese Klasse kapselt eine Projektnachricht.
 * 
 * 
 */
public class VKCProjectMessageDAO {
	VKCProjectMessage projectMessage = new VKCProjectMessage();

	VKCProjectMessageDAO() {
	}

	VKCProjectMessageDAO(VKCProjectMessage projectMessage) {
		this.projectMessage = projectMessage;
	}

	/**
	 * Konstruktor zum Anlegen einer Projektnachricht
	 * 
	 * @param text
	 *            Der Inhalt der Nachricht
	 */
	public VKCProjectMessageDAO(String text) {
		projectMessage = new VKCProjectMessage();

		if (text != null) {

		}
	}

	/**
	 * Liefert den Inhalt dieser Nachricht
	 * 
	 * @return Inhalt dieser Nachricht
	 * @see vkc.procoba.project.entities.VKCProjectMessage#getText()
	 */
	public String getText() {
		return projectMessage.getText();
	}

	/**
	 * Liefert die Projekt-ID zu der diese Nachricht gehört
	 * 
	 * @return Die Projekt-ID
	 * @see vkc.procoba.project.entities.VKCProjectMessage#getProjectId()
	 */
	public Integer getProjectId() {
		return projectMessage.getProjectId();
	}

	/**
	 * Liefert die ID dieser Projektnachricht
	 * 
	 * @return Die ID
	 * @see vkc.procoba.project.entities.VKCProjectMessage#getMessageId()
	 */
	public Integer getProjectMessageId() {
		return projectMessage.getMessageId();
	}

	/**
	 * Liefert die Benutzer-ID des Erzeugers dieser Nachricht
	 * 
	 * @return Die Benutzer-ID
	 * @see vkc.procoba.project.entities.VKCProjectMessage#getCreatorId()
	 */
	public Integer getCreatorId() {
		return projectMessage.getCreatorId();
	}

	/**
	 * Liefert Erschaffungsdatum dieser Nachricht
	 * 
	 * @return Erschaffungsdatum
	 * @see vkc.procoba.project.entities.VKCProjectMessage#getCreationDate()
	 */
	public Date getCreationDate() {
		return projectMessage.getCreationDate();
	}
	
	
	/**
	 * Liefert die userId des Empfängers dieser Nachricht
	 * 
	 * @return Empfänger
	 */
	public Integer getRecepientId() {
		return projectMessage.getRecepientId();
	}
	
	/**
	 * Setzt die userId des Empfängers dieser Nachricht
	 * 
	 * @param recepientId
	 * 					userId des Emfängers
	 */
	public void setRecepientId(Integer recepientId) {
		projectMessage.setRecepientId(recepientId);
	}
	

	/**
	 * Setzt Erschaffungsdatum dieser Nachricht
	 * 
	 * @param creationDate
	 * 					Erschaffungsdatum
	 */
	public void setCreationDate(Date creationDate) {
		projectMessage.setCreationDate(creationDate);
	}

	/**
	 * Setzt die Beschreibung der Aktivität dieses Projektschrittes
	 * 
	 * @param text
	 *           Der Inhalt der nachricht
	 * @see vkc.procoba.project.entities.VKCProjectMessage#setText(java.lang.String)
	 */
	public void setText(String text) {
		projectMessage.setText(text);
	}

	/**
	 * Setzt die Projekt-ID zu der diese Nachricht gehört
	 * 
	 * @param projectId
	 *            Die Projekt-ID
	 * @see vkc.procoba.project.entities.VKCProjectMessage#setProjectId(java.lang.Integer)
	 */
	public void setProjectId(Integer projectId) {
		projectMessage.setProjectId(projectId);
	}

	/**
	 * Setzt die Benutzer-ID des Erzeugers dieser Projektnachricht
	 * 
	 * @param creatorId
	 *            Die Benutzer-ID des Erzeugers
	 * @see vkc.procoba.project.entities.VKCProjectMessage#setCreatorId(java.lang.Integer)
	 */
	public void setCreatorId(Integer creatorId) {
		projectMessage.setCreatorId(creatorId);

	}

	/**
	 * @see vkc.procoba.project.entities.VKCProjectMessage#toString()
	 */
	public String toString() {
		return projectMessage.toString();
	}
}